/*
 * This is a C-comment.
 * So there.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "nuqneH.h"	/* nuqneH definitions start here. Note that /* must come after '#'.

section options
#   key
   defaults
end

section args
   test=int
   name=string
   strings=[string]
   baz={foo,bar,quux}
   -blog=int
   numbers=[int]
   fparg=float*		# This argument has no description or alias.
   foo=bool
	elist=[{a,b,c}]
   other=rest
end

section alias
   test=t
   name=n
   strings=s
   numbers=num
end

section desc
   test="An integer test argument"
   name="A string test argument"
   strings="Stringlist argument"
   numbers="Integerlist argument"
   foo="Boolean argument"
end

section default
   test=17
end

section required
   foo
end

section mutex
   numbers
   strings
end

section mutex
   strings
   test
end

section validate
   test="$>=0 && $<17"		# False if test<0 or test>16 
   name="strcmp($,""foo"")"	# False if name is "foo"
end

finished

*/

int main(int cnt,char *arg[])
{
int i;

#include "muvtay.c"

if(fparg_test) {
	printf("fparg=%f\n",fparg);
}

if(test_test) {
	printf("test=%d\n",test);
} else {
	printf("test has default value, which is %d.\n",test);
}

if(name_test) {
	printf("name=%s\n",name);
}

if(strings_test) {
	for(i=0;i<strings_count;i++) {
		printf("strings[%d]=%s\n",i,strings[i]);
	}	
}

if(numbers_test) {
	for(i=0;i<numbers_count;i++) {
		printf("numbers[%d]=%d\n",i,numbers[i]);
	}
}

if(baz_test) {
	printf("baz=%d\n",baz);
}

if(foo_test) {
	printf("foo was on the commandline.\n");
}

if(blog_test) {
	printf("blog=%d\n",blog);
}

if(other_test) {
	printf("Others:\n");
	for(i=0;i<other_count;i++) {
		printf("\t%s\n",other[i]);
	}
}

if(elist_test) {
	printf("elist:\n");
	for(i=0;i<elist_count;i++) {
		printf("\t%d (%s)\n",elist[i],OptName(elist[i]));
	}
}

return(0);
}

